Index: trunk/source/g3tog4/src/G4gsdvn.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsdvn.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsdvn.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsdvn.cc,v 1.10 2006/06/29 18:13:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, V.Berejnoi, 29 Oct 99
Index: trunk/source/g3tog4/src/G4gsdvn2.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsdvn2.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsdvn2.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsdvn2.cc,v 1.8 2006/06/29 18:14:00 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, V.Berejnoi, 29 Oct 99
Index: trunk/source/g3tog4/src/G4gsdvt.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsdvt.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsdvt.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsdvt.cc,v 1.7 2006/06/29 18:14:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, V.Berejnoi, 29 Oct 99
Index: trunk/source/g3tog4/src/G4gsdvt2.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsdvt2.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsdvt2.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsdvt2.cc,v 1.7 2006/06/29 18:14:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, V.Berejnoi, 29 Oct 99
Index: trunk/source/g3tog4/src/G4gsdvx.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsdvx.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsdvx.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsdvx.cc,v 1.5 2006/06/29 18:14:08 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, V.Berejnoi, 27 Sep 99
Index: trunk/source/g3tog4/src/G4gsmate.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsmate.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsmate.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsmate.cc,v 1.12 2006/06/29 18:14:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, 27 Sep 99
Index: trunk/source/g3tog4/src/G4gsmixt.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsmixt.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsmixt.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsmixt.cc,v 1.13 2006/06/29 18:14:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, 27 Sep 99
Index: trunk/source/g3tog4/src/G4gspart.cc
===================================================================
--- trunk/source/g3tog4/src/G4gspart.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gspart.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gspart.cc,v 1.7 2006/06/29 18:14:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G4ProcessManager.hh"
Index: trunk/source/g3tog4/src/G4gspos.cc
===================================================================
--- trunk/source/g3tog4/src/G4gspos.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gspos.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gspos.cc,v 1.13 2006/06/29 18:14:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, 13.10.99
Index: trunk/source/g3tog4/src/G4gsposp.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsposp.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsposp.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsposp.cc,v 1.16 2006/06/29 18:14:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, 13.10.99
Index: trunk/source/g3tog4/src/G4gsrotm.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsrotm.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsrotm.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsrotm.cc,v 1.12 2006/06/29 18:14:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G3toG4.hh"
Index: trunk/source/g3tog4/src/G4gstmed.cc
===================================================================
--- trunk/source/g3tog4/src/G4gstmed.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gstmed.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gstmed.cc,v 1.7 2006/06/29 18:15:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // The last G4int argument of G4gstmed(..) is used for sending
Index: trunk/source/g3tog4/src/G4gstpar.cc
===================================================================
--- trunk/source/g3tog4/src/G4gstpar.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gstpar.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gstpar.cc,v 1.8 2006/06/29 18:15:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 #include "G3toG4.hh"
Index: trunk/source/g3tog4/src/G4gsvolu.cc
===================================================================
--- trunk/source/g3tog4/src/G4gsvolu.cc	(revision 1227)
+++ trunk/source/g3tog4/src/G4gsvolu.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4gsvolu.cc,v 1.10 2006/06/29 18:15:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // by I.Hrivnacova, 13.10.99
Index: trunk/source/g3tog4/src/clparse.cc
===================================================================
--- trunk/source/g3tog4/src/clparse.cc	(revision 1227)
+++ trunk/source/g3tog4/src/clparse.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: clparse.cc,v 1.19 2008/11/17 08:33:57 gcosmo Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // modified by I.Hrivnacova
Index: trunk/source/geometry/biasing/include/G4GeometryCell.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4GeometryCell.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4GeometryCell.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCell.hh,v 1.6 2006/06/29 18:15:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4GeometryCellComp.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4GeometryCellComp.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4GeometryCellComp.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellComp.hh,v 1.2 2006/06/29 18:15:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4GeometryCellImportance.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4GeometryCellImportance.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4GeometryCellImportance.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellImportance.hh,v 1.4 2006/06/29 18:15:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4GeometryCellStep.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4GeometryCellStep.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4GeometryCellStep.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellStep.hh,v 1.2 2006/06/29 18:15:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4GeometryCellStepStream.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4GeometryCellStepStream.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4GeometryCellStepStream.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellStepStream.hh,v 1.3 2006/06/29 18:15:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4GeometryCellWeight.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4GeometryCellWeight.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4GeometryCellWeight.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellWeight.hh,v 1.3 2006/06/29 18:16:02 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4IStore.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4IStore.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4IStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IStore.hh,v 1.10 2006/06/29 18:16:04 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4ImportanceAlgorithm.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4ImportanceAlgorithm.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4ImportanceAlgorithm.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ImportanceAlgorithm.hh,v 1.7 2006/06/29 18:16:06 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4Nsplit_Weight.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4Nsplit_Weight.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4Nsplit_Weight.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Nsplit_Weight.hh,v 1.11 2006/06/29 18:16:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VCellScorer.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VCellScorer.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VCellScorer.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCellScorer.hh,v 1.7 2006/06/29 18:16:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VCellScorerStore.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VCellScorerStore.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VCellScorerStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCellScorerStore.hh,v 1.7 2006/06/29 18:16:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VGCellFinder.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VGCellFinder.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VGCellFinder.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VGCellFinder.hh,v 1.2 2006/06/29 18:16:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VIStore.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VIStore.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VIStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VIStore.hh,v 1.9 2006/06/29 18:16:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VImportanceAlgorithm.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VImportanceAlgorithm.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VImportanceAlgorithm.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VImportanceAlgorithm.hh,v 1.8 2006/06/29 18:16:40 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VImportanceSplitExaminer.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VImportanceSplitExaminer.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VImportanceSplitExaminer.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VImportanceSplitExaminer.hh,v 1.5 2006/06/29 18:16:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VWeightWindowAlgorithm.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VWeightWindowAlgorithm.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VWeightWindowAlgorithm.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VWeightWindowAlgorithm.hh,v 1.8 2006/06/29 18:16:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4VWeightWindowStore.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4VWeightWindowStore.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4VWeightWindowStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VWeightWindowStore.hh,v 1.3 2006/06/29 18:16:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4WeightWindowAlgorithm.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4WeightWindowAlgorithm.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4WeightWindowAlgorithm.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WeightWindowAlgorithm.hh,v 1.7 2006/06/29 18:16:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/include/G4WeightWindowStore.hh
===================================================================
--- trunk/source/geometry/biasing/include/G4WeightWindowStore.hh	(revision 1227)
+++ trunk/source/geometry/biasing/include/G4WeightWindowStore.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WeightWindowStore.hh,v 1.3 2006/06/29 18:17:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4GeometryCell.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4GeometryCell.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4GeometryCell.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCell.cc,v 1.6 2006/06/29 18:17:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4GeometryCellComp.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4GeometryCellComp.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4GeometryCellComp.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4GeometryCellComp.cc,v 1.4 2006/06/29 18:17:10 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4GeometryCellImportance.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4GeometryCellImportance.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4GeometryCellImportance.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellImportance.cc,v 1.5 2006/06/29 18:17:12 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4GeometryCellStep.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4GeometryCellStep.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4GeometryCellStep.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellStep.cc,v 1.2 2006/06/29 18:17:14 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4GeometryCellStepStream.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4GeometryCellStepStream.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4GeometryCellStepStream.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4GeometryCellStepStream.cc,v 1.3 2006/06/29 18:17:16 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4IStore.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4IStore.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4IStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4IStore.cc,v 1.14 2006/06/29 18:17:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4ImportanceAlgorithm.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4ImportanceAlgorithm.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4ImportanceAlgorithm.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ImportanceAlgorithm.cc,v 1.14 2006/06/29 18:17:20 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4Nsplit_Weight.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4Nsplit_Weight.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4Nsplit_Weight.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Nsplit_Weight.cc,v 1.10 2006/06/29 18:17:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VCellScorer.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VCellScorer.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VCellScorer.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCellScorer.cc,v 1.6 2006/06/29 18:17:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VCellScorerStore.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VCellScorerStore.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VCellScorerStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VCellScorerStore.cc,v 1.4 2006/06/29 18:17:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VGCellFinder.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VGCellFinder.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VGCellFinder.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VGCellFinder.cc,v 1.2 2006/06/29 18:17:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VIStore.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VIStore.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VIStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VIStore.cc,v 1.2 2006/06/29 18:17:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VImportanceAlgorithm.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VImportanceAlgorithm.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VImportanceAlgorithm.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VImportanceAlgorithm.cc,v 1.2 2006/06/29 18:17:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VImportanceSplitExaminer.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VImportanceSplitExaminer.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VImportanceSplitExaminer.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VImportanceSplitExaminer.cc,v 1.2 2006/06/29 18:17:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VWeightWindowAlgorithm.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VWeightWindowAlgorithm.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VWeightWindowAlgorithm.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VWeightWindowAlgorithm.cc,v 1.2 2006/06/29 18:17:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4VWeightWindowStore.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4VWeightWindowStore.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4VWeightWindowStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VWeightWindowStore.cc,v 1.3 2006/06/29 18:17:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4WeightWindowAlgorithm.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4WeightWindowAlgorithm.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4WeightWindowAlgorithm.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WeightWindowAlgorithm.cc,v 1.11 2007/11/09 15:43:07 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/biasing/src/G4WeightWindowStore.cc
===================================================================
--- trunk/source/geometry/biasing/src/G4WeightWindowStore.cc	(revision 1227)
+++ trunk/source/geometry/biasing/src/G4WeightWindowStore.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4WeightWindowStore.cc,v 1.5 2006/06/29 18:18:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // ----------------------------------------------------------------------
Index: trunk/source/geometry/divisions/History
===================================================================
--- trunk/source/geometry/divisions/History	(revision 1227)
+++ trunk/source/geometry/divisions/History	(revision 1228)
@@ -1,3 +1,3 @@
-$Id: History,v 1.30 2008/12/04 16:01:32 gcosmo Exp $
+$Id: History,v 1.31 2009/05/20 08:55:23 gcosmo Exp $
 -------------------------------------------------------------------
 
@@ -17,4 +17,14 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
+
+May, 20th, 2009         I.Hrivnacova (geomdiv-V09-02-00)
+- Allow for generic divisions along Z for polyhedras and polycones; now
+  divisions can happen along z-axis with width and offset, which fulfil the
+  condition that division does not span over more than one segment.
+- Fixed initialization of division in Phi for polyhedras to not take into
+  account user defined width.
+- Fixed initialization of arrays in unit test: changed polycone definition
+  so that division does not give exception and added polyhedra, which was
+  not present.
 
 December, 3rd, 2008     P.Arce  (geomdiv-V09-01-02)
Index: trunk/source/geometry/divisions/include/G4PVDivision.hh
===================================================================
--- trunk/source/geometry/divisions/include/G4PVDivision.hh	(revision 1227)
+++ trunk/source/geometry/divisions/include/G4PVDivision.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PVDivision.hh,v 1.14 2008/12/03 16:41:45 arce Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // class G4PVDivision
Index: trunk/source/geometry/divisions/include/G4PVDivisionFactory.hh
===================================================================
--- trunk/source/geometry/divisions/include/G4PVDivisionFactory.hh	(revision 1227)
+++ trunk/source/geometry/divisions/include/G4PVDivisionFactory.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PVDivisionFactory.hh,v 1.2 2006/06/29 18:18:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 //
Index: trunk/source/geometry/divisions/include/G4ParameterisationBox.hh
===================================================================
--- trunk/source/geometry/divisions/include/G4ParameterisationBox.hh	(revision 1227)
+++ trunk/source/geometry/divisions/include/G4ParameterisationBox.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationBox.hh,v 1.6 2006/06/29 18:18:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // classes G4ParameterisationBoxX,
Index: trunk/source/geometry/divisions/include/G4ParameterisationCons.hh
===================================================================
--- trunk/source/geometry/divisions/include/G4ParameterisationCons.hh	(revision 1227)
+++ trunk/source/geometry/divisions/include/G4ParameterisationCons.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationCons.hh,v 1.6 2006/06/29 18:18:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // classes G4ParameterisationConsRho,
Index: trunk/source/geometry/divisions/include/G4ParameterisationPara.hh
===================================================================
--- trunk/source/geometry/divisions/include/G4ParameterisationPara.hh	(revision 1227)
+++ trunk/source/geometry/divisions/include/G4ParameterisationPara.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ParameterisationPara.hh,v 1.7 2006/06/29 18:18:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // classes G4ParameterisationParaX,
Index: trunk/source/geometry/divisions/include/G4ParameterisationPolycone.hh
===================================================================
--- trunk/source/geometry/divisions/include/G4ParameterisationPolycone.hh	(revision 1227)
+++ trunk/source/geometry/divisions/include/G4ParameterisationPolycone.hh	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4ParameterisationPolycone.hh,v 1.7 2006/06/29 18:18:18 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4ParameterisationPolycone.hh,v 1.8 2009/05/14 14:19:32 ivana Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 // 
 // classes G4ParameterisationPolyconeRho,
@@ -192,5 +192,13 @@
                             const G4VPhysicalVolume* physVol ) const;
 
-  private:  // Dummy declarations to get rid of warnings ...
+  private:  
+    G4double GetR(G4double z, G4double z1, G4double r1, G4double z2, G4double r2) const;
+    G4double GetRmin(G4double z, G4int nsegment) const;
+    G4double GetRmax(G4double z, G4int nsegment) const;
+
+    G4int fNSegment;
+    G4PolyconeHistorical* fOrigParamMother;
+
+    // Dummy declarations to get rid of warnings ...
 
     void ComputeDimensions (G4Trd&,const G4int,
